be.ehealth.businessconnector.dmg.session

## Interface DmgService

- All Known Implementing Classes:
    DmgServiceImpl

      public interface DmgService

  The Business Connector for General Practitioners provides a simplified interface to access the Dmg service by providing the following functionality: it retrieves the token from the session Default impl : `DmgServiceImpl` Factory : `DmgSessionServiceFactory`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `ConfirmResponse` | `confirmRequest(Confirm request, WsAddressingHeader header)` Sends a Confirm request after a successful Get It only needs the SAMLtoken, no session needs to be active
    `ConsultGlobalMedicalFileResponse` | `consultGlobalMedicalFile(ConsultGlobalMedicalFileRequest request)` Sends the consultation request to the WS (needs a Session to be active, token is retrieved from the session)
    `GetResponse` | `getRequest(Get request, WsAddressingHeader header)` Returns the `Responses` from the post previously sent.
    `NotifyGlobalMedicalFileResponse` | `notifyGlobalMedicalFile(NotifyGlobalMedicalFileRequest request)` Sends the notification request to the WS (needs a Session to be active, token is retrieved from the session)
    `PostResponse` | `postRequest(Post request, WsAddressingHeader header)` Returns the `TAck` of the request of an operation.

- - ### Method Detail

    - #### consultGlobalMedicalFile

          ConsultGlobalMedicalFileResponse consultGlobalMedicalFile(ConsultGlobalMedicalFileRequest request)
                                                             throws DmgBusinessConnectorException,
                                                                    TechnicalConnectorException

      Sends the consultation request to the WS (needs a Session to be active, token is retrieved from the session)
      Parameters:
        `request` - the consultation request
      Returns:
        the WS response
      Throws:
        `DmgBusinessConnectorException`
        `TechnicalConnectorException`

    - #### notifyGlobalMedicalFile

          NotifyGlobalMedicalFileResponse notifyGlobalMedicalFile(NotifyGlobalMedicalFileRequest request)
                                                           throws DmgBusinessConnectorException,
                                                                  TechnicalConnectorException

      Sends the notification request to the WS (needs a Session to be active, token is retrieved from the session)
      Parameters:
        `request` - the notification request
      Returns:
        the WS response
      Throws:
        `DmgBusinessConnectorException`
        `TechnicalConnectorException`

    - #### postRequest

          PostResponse postRequest(Post request,
                                   WsAddressingHeader header)
                            throws GenAsyncBusinessConnectorException

      Returns the `TAck` of the request of an operation. It only needs the SamlToken, no session needs to be active.
      Parameters:
        `request` - the request
      Returns:
        TAck the WS response
      Throws:
        `GenAsyncBusinessConnectorException`

    - #### getRequest

          GetResponse getRequest(Get request,
                                 WsAddressingHeader header)
                          throws GenAsyncBusinessConnectorException,
                                 TechnicalConnectorException

      Returns the `Responses` from the post previously sent. It only needs the SamlToken, no session needs to be active.
      Parameters:
        `request` - the request
      Returns:
        Responses
      Throws:
        `GenAsyncBusinessConnectorException`
        `TechnicalConnectorException`

    - #### confirmRequest

          ConfirmResponse confirmRequest(Confirm request,
                                         WsAddressingHeader header)
                                  throws GenAsyncBusinessConnectorException,
                                         TechnicalConnectorException

      Sends a Confirm request after a successful Get It only needs the SAMLtoken, no session needs to be active
      Parameters:
        `request` - the request
      Returns:
        The response
      Throws:
        `GenAsyncBusinessConnectorException`
        `TechnicalConnectorException`

Connector Packaging PERSPHYSICIAN 4.6.0 API
Copyright © {inceptionYear}-2024 eHealth. All Rights Reserved.